Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomModelBodyNodes

Returns an array of `PetscGeom` NODE objects attached to the referenced BODY geometric entity as well as the number of NODES.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomModelBodyNodes(DM dm, PetscGeom body, PetscGeom **nodes, PetscInt *numNodes) PeNS

Collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- body - PetscGeom body object of interest.

## Output Parameters

- nodes - Array of PetscGeom NODE objects referenced by the PetscGeom BODY object

- numNodes - Number of NODEs referenced by the PetscGeom BODY object. Also the size of **nodes array.

## See Also

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages